# Class SIS.Transform

Object
Transform

All Implemented Interfaces:
  `Cloneable`

Enclosing class:
  `SIS`

public static final class SIS.Transform extends Object
Builder for the "transform" sub-command. This builder provides convenience methods for setting options before to execute the command by a call to `run(Object...)`.

Since:
  1.5
See Also:
  - `SIS​.TRANSFORM`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SIS​.Transform`
  `colors(boolean enabled)`
  Sets whether colorized output shall be enabled.
  `SIS​.Transform`
  `debug()`
  Prints full stack trace in case of failure.
  `SIS​.Transform`
  `encoding(String value)`
  Sets encoding to use for the command outputs.
  `SIS​.Transform`
  `help()`
  Lists the options available for the sub-command.
  `SIS​.Transform`
  `inverse()`
  Use the inverse of the coordinate operation.
  `SIS​.Transform`
  `locale(String value)`
  Sets the locale to use for the command output.
  `SIS​.Transform`
  `operation(Object value)`
  Sets the Coordinate Operation to use.
  `void`
  `run(Object... args)`
  Executes the command with the given arguments.
  `SIS​.Transform`
  `sourceCRS(Object value)`
  Sets the Coordinate Reference System of input data.
  `SIS​.Transform`
  `targetCRS(Object value)`
  Sets the Coordinate Reference System of output data.
  `SIS​.Transform`
  `timezone(String value)`
  Sets the timezone for the dates to be formatted.
  `String`
  `toString()`
  Returns the command with all options that have been set.
  `SIS​.Transform`
  `verbose()`
  Requests the output to contain more detailed information.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### sourceCRS

    public SIS.Transform sourceCRS(Object value)
    Sets the Coordinate Reference System of input data.
    Parameters:
      `value` - the EPSG code, WKT or file from which to get the CRS.
    Returns:
      a new builder or `this`, for method call chaining.

  - ### targetCRS

    public SIS.Transform targetCRS(Object value)
    Sets the Coordinate Reference System of output data.
    Parameters:
      `value` - the EPSG code, WKT or file from which to get the CRS.
    Returns:
      a new builder or `this`, for method call chaining.

  - ### operation

    public SIS.Transform operation(Object value)
    Sets the Coordinate Operation to use.
    Parameters:
      `value` - the EPSG code, WKT or file from which to get the coordinate operation.
    Returns:
      a new builder or `this`, for method call chaining.

  - ### inverse

    public SIS.Transform inverse()
    Use the inverse of the coordinate operation. The transform will be inverted after all other options (`operation`, `sourceCRS` and `targetCRS`) have been applied.
    Returns:
      a new builder or `this`, for method call chaining.

  - ### locale

    public SIS.Transform locale(String value)
    Sets the locale to use for the command output.
    Parameters:
      `value` - the language and country code.
    Returns:
      a new builder or `this`, for method call chaining.

  - ### timezone

    public SIS.Transform timezone(String value)
    Sets the timezone for the dates to be formatted.
    Parameters:
      `value` - the time zone identifier.
    Returns:
      a new builder or `this`, for method call chaining.

  - ### encoding

    public SIS.Transform encoding(String value)
    Sets encoding to use for the command outputs. This option rarely needs to be specified.
    Parameters:
      `value` - the character set name.
    Returns:
      a new builder or `this`, for method call chaining.

  - ### colors

    public SIS.Transform colors(boolean enabled)
    Sets whether colorized output shall be enabled.
    Parameters:
      `enabled` - whether colors are enabled.
    Returns:
      a new builder or `this`, for method call chaining.

  - ### verbose

    public SIS.Transform verbose()
    Requests the output to contain more detailed information.
    Returns:
      a new builder or `this`, for method call chaining.

  - ### debug

    public SIS.Transform debug()
    Prints full stack trace in case of failure.
    Returns:
      a new builder or `this`, for method call chaining.

  - ### help

    public SIS.Transform help()
    Lists the options available for the sub-command.
    Returns:
      a new builder or `this`, for method call chaining.

  - ### run

    public void run(Object... args) throws Exception
    Executes the command with the given arguments. The arguments are usually `String` instances, but may also be instances of `File`, `Path`, `URL`, `URI` or other types accepted by `StorageConnector` if the corresponding argument specifies an input or output.
    Parameters:
      `args` - the arguments to pass to the sub-command.
      `name` - name of the sub-command to execute.
    Throws:
      `Exception` - if an error occurred while executing the command.

  - ### toString

    public String toString()
    Returns the command with all options that have been set..
    Overrides:
      `toString` in class `Object`
    Returns:
      the command with all options that have been set